shadow evals
Create shadow evals shadow evals
Requires scopes: runs:write
POST
/
api
/
shadow-evals
Create shadow evals shadow evals
curl --request POST \
--url https://evalgate.com/api/shadow-evals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evaluationId": 123,
"traceIds": [
"<string>"
],
"filters": {
"status": [
"<string>"
],
"duration": {
"max": 123,
"min": 123
}
}
}
'import requests
url = "https://evalgate.com/api/shadow-evals"
payload = {
"evaluationId": 123,
"traceIds": ["<string>"],
"filters": {
"status": ["<string>"],
"duration": {
"max": 123,
"min": 123
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
evaluationId: 123,
traceIds: ['<string>'],
filters: {status: ['<string>'], duration: {max: 123, min: 123}}
})
};
fetch('https://evalgate.com/api/shadow-evals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"status": "<string>",
"totalTraces": 123
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Create shadow evals shadow evals
